Get the notifications of the tasks of a project. Synchronization tools use this route. You must be an administrator.
Query parameters
-
Page to get. Without page, the route returns the full list.
-
Number of rows in a page, or in a request of a cursor walk
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
GET
/data/projects/{project_id}/notifications
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/notifications" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/notifications"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"data": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"task_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"comment_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"notification_type": "assignment",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
],
"limit": 100,
"page": 1,
"total": 42,
"nb_pages": 42,
"offset": 42
}